]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
use set -eu
[config/dotfiles.git] / setup.sh
index 4055a84f6fe0d3c3ff11c680d1db1a5aed0b7d40..dc3a3417508f252cebe56a0f1f4762d3abc2e48f 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -18,7 +18,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 . ../lib.sh
 
@@ -32,7 +32,7 @@ if test x"`os`" = xdebian; then
     # Necessary as aptitude rewrites the config file on every start.
     generate debian/aptitude/config .in cat
     # aptitude/config uses // as comment instead of #.
-    sed -i 's|^#|//|' debian/aptitude/config
+    sed_i 's|^#|//|' debian/aptitude/config
 
     link debian/aptitude ~/.aptitude
     if installed reportbug; then